PDA

Afficher la version complète : Mise a jour de sécurité sur kdelibs4



jluce
28/11/2012, 18h23
openSUSE Security Update: security and bugfix update for kdelibs4
__________________________________________________ ____________________________

Announcement ID: openSUSE-SU-2012:1581-1
Rating: moderate
References: #729829 #787520
Cross-References: CVE-2012-4512 CVE-2012-4513 CVE-2012-4514
CVE-2012-4515
Affected Products:
openSUSE 12.2
openSUSE 12.1
__________________________________________________ ____________________________

An update that fixes four vulnerabilities is now available.

Description:

This update of kdelibs fixed various memory corruption
vulnerabilities.

On openSUSE 12.1 a akregator crash on closing tab was fixed.


Patch Instructions:

To install this openSUSE Security Update use YaST online_update.
Alternatively you can run the command listed for your product:

- openSUSE 12.2:

zypper in -t patch openSUSE-2012-815

- openSUSE 12.1:

zypper in -t patch openSUSE-2012-815

To bring your system up-to-date, use "zypper patch".


Package List:

- openSUSE 12.2 (i586 x86_64):

kdelibs4-4.8.5-2.10.1
kdelibs4-branding-upstream-4.8.5-2.10.1
kdelibs4-core-4.8.5-2.10.1
kdelibs4-core-debuginfo-4.8.5-2.10.1
kdelibs4-debuginfo-4.8.5-2.10.1
kdelibs4-debugsource-4.8.5-2.10.1
kdelibs4-doc-4.8.5-2.10.1
kdelibs4-doc-debuginfo-4.8.5-2.10.1
libkde4-4.8.5-2.10.1
libkde4-debuginfo-4.8.5-2.10.1
libkde4-devel-4.8.5-2.10.1
libkdecore4-4.8.5-2.10.1
libkdecore4-debuginfo-4.8.5-2.10.1
libkdecore4-devel-4.8.5-2.10.1
libkdecore4-devel-debuginfo-4.8.5-2.10.1
libksuseinstall-devel-4.8.5-2.10.1
libksuseinstall1-4.8.5-2.10.1
libksuseinstall1-debuginfo-4.8.5-2.10.1

- openSUSE 12.2 (x86_64):

libkde4-32bit-4.8.5-2.10.1
libkde4-debuginfo-32bit-4.8.5-2.10.1
libkdecore4-32bit-4.8.5-2.10.1
libkdecore4-debuginfo-32bit-4.8.5-2.10.1
libksuseinstall1-32bit-4.8.5-2.10.1
libksuseinstall1-debuginfo-32bit-4.8.5-2.10.1

- openSUSE 12.2 (noarch):

kdelibs4-apidocs-4.8.5-2.10.1

- openSUSE 12.1 (i586 x86_64):

kdelibs4-4.7.2-5.10.1
kdelibs4-branding-upstream-4.7.2-5.10.1
kdelibs4-core-4.7.2-5.10.1
kdelibs4-core-debuginfo-4.7.2-5.10.1
kdelibs4-debuginfo-4.7.2-5.10.1
kdelibs4-debugsource-4.7.2-5.10.1
kdelibs4-doc-4.7.2-5.10.1
kdelibs4-doc-debuginfo-4.7.2-5.10.1
libkde4-4.7.2-5.10.1
libkde4-debuginfo-4.7.2-5.10.1
libkde4-devel-4.7.2-5.10.1
libkdecore4-4.7.2-5.10.1
libkdecore4-debuginfo-4.7.2-5.10.1
libkdecore4-devel-4.7.2-5.10.1
libkdecore4-devel-debuginfo-4.7.2-5.10.1
libksuseinstall-devel-4.7.2-5.10.1
libksuseinstall1-4.7.2-5.10.1
libksuseinstall1-debuginfo-4.7.2-5.10.1

- openSUSE 12.1 (x86_64):

libkde4-32bit-4.7.2-5.10.1
libkde4-debuginfo-32bit-4.7.2-5.10.1
libkdecore4-32bit-4.7.2-5.10.1
libkdecore4-debuginfo-32bit-4.7.2-5.10.1
libksuseinstall1-32bit-4.7.2-5.10.1
libksuseinstall1-debuginfo-32bit-4.7.2-5.10.1

- openSUSE 12.1 (noarch):

kdelibs4-apidocs-4.7.2-5.10.1

- openSUSE 12.1 (ia64):

libkde4-debuginfo-x86-4.7.2-5.10.1
libkde4-x86-4.7.2-5.10.1
libkdecore4-debuginfo-x86-4.7.2-5.10.1
libkdecore4-x86-4.7.2-5.10.1
libksuseinstall1-debuginfo-x86-4.7.2-5.10.1
libksuseinstall1-x86-4.7.2-5.10.1


References:

http://support.novell.com/security/cve/CVE-2012-4512.html
http://support.novell.com/security/cve/CVE-2012-4513.html
http://support.novell.com/security/cve/CVE-2012-4514.html
http://support.novell.com/security/cve/CVE-2012-4515.html
https://bugzilla.novell.com/729829
https://bugzilla.novell.com/787520